package com.ruoyi.mall.service;

import com.ruoyi.common.utils.StringUtils;
import com.ruoyi.mall.domain.Bo.CheckingOutParamBo;
import com.ruoyi.mall.domain.MallAcceptRateSetting;
import com.ruoyi.mall.domain.MallMemberUser;
import com.ruoyi.mall.domain.Vo.*;

import java.math.BigDecimal;
import java.math.RoundingMode;
import java.util.ArrayList;
import java.util.List;
import java.util.Map;
import java.util.stream.Collectors;

public interface CheckingOutService {
    /** 获取初始列表 带是否添加志愿状态的*/
    List<SchoolMajorVO> schoolOriginal( CheckingOutParamBo bo, MallMemberUser mallMemberUser );

    List<SchoolMajorVO> schoolOriginal2( CheckingOutParamBo bo, MallMemberUser mallMemberUser );

    RateTypeSchoolMajorVo tagNum(  CheckingOutParamBo bo, MallMemberUser mallMemberUser );

    RateTypeSchoolMajorVo tagNum2(  CheckingOutParamBo bo, MallMemberUser mallMemberUser );

    /**获取分类小标数*/
    CheckOutTagVo num(List<ReportIntelligenceVo>  items, MallMemberUser user,Long batchId);

    /** 填报志愿 卡片数据*/
    List<ReportCardVo> cardData( MallMemberUser mallMemberUser);

}

